/* 1. Use a more-intuitive box-sizing model */
*, *::before, *::after {
  box-sizing: border-box;
}

/* 2. Remove default margin */
*:not(dialog) {
  margin: 0;
}

/* 3. Enable keyword animations */
@media (prefers-reduced-motion: no-preference) {
  html {
    interpolate-size: allow-keywords;
  }
}

body {
  /* 4. Add accessible line-height */
  line-height: 1.5;
  /* 5. Improve text rendering */
  -webkit-font-smoothing: antialiased;
}

/* 6. Improve media defaults */
img, picture, video, canvas, svg {
  display: block;
  max-width: 100%;
}

/* 7. Inherit fonts for form controls */
input, button, textarea, select {
  font: inherit;
}

/* 8. Avoid text overflows */
p, h1, h2, h3, h4, h5, h6 {
  overflow-wrap: break-word;
}

/* 9. Improve line wrapping */
p {
  text-wrap: pretty;
}
h1, h2, h3, h4, h5, h6 {
  text-wrap: balance;
}

/*
  10. Create a root stacking context
*/
#root, #__next {
  isolation: isolate;
}


html {
  height: 100%;
  background-color: oklch(98.47% 0.036 358.35);
}

body {
  display: grid;
  height: 100svh;
  background: radial-gradient(closest-side, #fff 50%, oklch(98.47% 0.036 358.35) 100%);
}

main {
  display: grid;
  place-content: center;
  padding: 2rem;
  @media (width >= 48rem) {
    padding: 3rem;
  }
}

svg {
  display: block;
  width: 100%;
  max-width: 25rem;
  height: auto;
  animation: 700ms ease-out 0ms 1 zoom;

  .text {
    fill: oklch(13.47% 0.036 358.35);
  }

  .kc {
    fill: oklch(93.47% 0.036 358.35);
  }

  .box {
    fill: none;
    stroke: oklch(13.47% 0.036 358.35);
    stroke-width: 1.5px;
    stroke-linecap: round;
  }
}

@keyframes zoom {
  0% {
    transform: scale(90%);
    opacity: 0;
  }
  100% {
    transform: scale(1);
    opacity: 1;
  }
}

.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border-width: 0;
}
